diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-routing-protocol.h ns-3.44/src/aodv/model/aodv-routing-protocol.h
--- ns-3.43/src/aodv/model/aodv-routing-protocol.h	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-routing-protocol.h	2025-03-09 16:55:49.343371000 -0700
@@ -40,16 +40,16 @@
 namespace aodv
 {
 /**
- * \ingroup aodv
+ * @ingroup aodv
  *
- * \brief AODV routing protocol
+ * @brief AODV routing protocol
  */
 class RoutingProtocol : public Ipv4RoutingProtocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     static const uint32_t AODV_PORT;
@@ -82,7 +82,7 @@
     // Handle protocol parameters
     /**
      * Get maximum queue time
-     * \returns the maximum queue time
+     * @returns the maximum queue time
      */
     Time GetMaxQueueTime() const
     {
@@ -91,13 +91,13 @@
 
     /**
      * Set the maximum queue time
-     * \param t the maximum queue time
+     * @param t the maximum queue time
      */
     void SetMaxQueueTime(Time t);
 
     /**
      * Get the maximum queue length
-     * \returns the maximum queue length
+     * @returns the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -106,13 +106,13 @@
 
     /**
      * Set the maximum queue length
-     * \param len the maximum queue length
+     * @param len the maximum queue length
      */
     void SetMaxQueueLen(uint32_t len);
 
     /**
      * Get destination only flag
-     * \returns the destination only flag
+     * @returns the destination only flag
      */
     bool GetDestinationOnlyFlag() const
     {
@@ -121,7 +121,7 @@
 
     /**
      * Set destination only flag
-     * \param f the destination only flag
+     * @param f the destination only flag
      */
     void SetDestinationOnlyFlag(bool f)
     {
@@ -130,7 +130,7 @@
 
     /**
      * Get gratuitous reply flag
-     * \returns the gratuitous reply flag
+     * @returns the gratuitous reply flag
      */
     bool GetGratuitousReplyFlag() const
     {
@@ -139,7 +139,7 @@
 
     /**
      * Set gratuitous reply flag
-     * \param f the gratuitous reply flag
+     * @param f the gratuitous reply flag
      */
     void SetGratuitousReplyFlag(bool f)
     {
@@ -148,7 +148,7 @@
 
     /**
      * Set hello enable
-     * \param f the hello enable flag
+     * @param f the hello enable flag
      */
     void SetHelloEnable(bool f)
     {
@@ -157,7 +157,7 @@
 
     /**
      * Get hello enable flag
-     * \returns the enable hello flag
+     * @returns the enable hello flag
      */
     bool GetHelloEnable() const
     {
@@ -166,7 +166,7 @@
 
     /**
      * Set broadcast enable flag
-     * \param f enable broadcast flag
+     * @param f enable broadcast flag
      */
     void SetBroadcastEnable(bool f)
     {
@@ -175,7 +175,7 @@
 
     /**
      * Get broadcast enable flag
-     * \returns the broadcast enable flag
+     * @returns the broadcast enable flag
      */
     bool GetBroadcastEnable() const
     {
@@ -187,8 +187,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -199,8 +199,8 @@
     /**
      * Notify that an MPDU was dropped.
      *
-     * \param reason the reason why the MPDU was dropped
-     * \param mpdu the dropped MPDU
+     * @param reason the reason why the MPDU was dropped
+     * @param mpdu the dropped MPDU
      */
     void NotifyTxError(WifiMacDropReason reason, Ptr<const WifiMpdu> mpdu);
 
@@ -286,10 +286,10 @@
     /**
      * Queue packet and send route request
      *
-     * \param p the packet to route
-     * \param header the IP header
-     * \param ucb the UnicastForwardCallback function
-     * \param ecb the ErrorCallback function
+     * @param p the packet to route
+     * @param header the IP header
+     * @param ucb the UnicastForwardCallback function
+     * @param ecb the ErrorCallback function
      */
     void DeferredRouteOutput(Ptr<const Packet> p,
                              const Ipv4Header& header,
@@ -298,11 +298,11 @@
     /**
      * If route exists and is valid, forward packet.
      *
-     * \param p the packet to route
-     * \param header the IP header
-     * \param ucb the UnicastForwardCallback function
-     * \param ecb the ErrorCallback function
-     * \returns true if forwarded
+     * @param p the packet to route
+     * @param header the IP header
+     * @param ucb the UnicastForwardCallback function
+     * @param ecb the ErrorCallback function
+     * @returns true if forwarded
      */
     bool Forwarding(Ptr<const Packet> p,
                     const Ipv4Header& header,
@@ -311,153 +311,153 @@
     /**
      * Repeated attempts by a source node at route discovery for a single destination
      * use the expanding ring search technique.
-     * \param dst the destination IP address
+     * @param dst the destination IP address
      */
     void ScheduleRreqRetry(Ipv4Address dst);
     /**
      * Set lifetime field in routing table entry to the maximum of existing lifetime and lt, if the
      * entry exists
-     * \param addr destination address
-     * \param lt proposed time for lifetime field in routing table entry for destination with
+     * @param addr destination address
+     * @param lt proposed time for lifetime field in routing table entry for destination with
      * address addr.
-     * \return true if route to destination address addr exist
+     * @return true if route to destination address addr exist
      */
     bool UpdateRouteLifeTime(Ipv4Address addr, Time lt);
     /**
      * Update neighbor record.
-     * \param receiver is supposed to be my interface
-     * \param sender is supposed to be IP address of my neighbor.
+     * @param receiver is supposed to be my interface
+     * @param sender is supposed to be IP address of my neighbor.
      */
     void UpdateRouteToNeighbor(Ipv4Address sender, Ipv4Address receiver);
     /**
      * Test whether the provided address is assigned to an interface on this node
-     * \param src the source IP address
-     * \returns true if the IP address is the node's IP address
+     * @param src the source IP address
+     * @returns true if the IP address is the node's IP address
      */
     bool IsMyOwnAddress(Ipv4Address src);
     /**
      * Find unicast socket with local interface address iface
      *
-     * \param iface the interface
-     * \returns the socket associated with the interface
+     * @param iface the interface
+     * @returns the socket associated with the interface
      */
     Ptr<Socket> FindSocketWithInterfaceAddress(Ipv4InterfaceAddress iface) const;
     /**
      * Find subnet directed broadcast socket with local interface address iface
      *
-     * \param iface the interface
-     * \returns the socket associated with the interface
+     * @param iface the interface
+     * @returns the socket associated with the interface
      */
     Ptr<Socket> FindSubnetBroadcastSocketWithInterfaceAddress(Ipv4InterfaceAddress iface) const;
     /**
      * Process hello message
      *
-     * \param rrepHeader RREP message header
-     * \param receiverIfaceAddr receiver interface IP address
+     * @param rrepHeader RREP message header
+     * @param receiverIfaceAddr receiver interface IP address
      */
     void ProcessHello(const RrepHeader& rrepHeader, Ipv4Address receiverIfaceAddr);
     /**
      * Create loopback route for given header
      *
-     * \param header the IP header
-     * \param oif the output interface net device
-     * \returns the route
+     * @param header the IP header
+     * @param oif the output interface net device
+     * @returns the route
      */
     Ptr<Ipv4Route> LoopbackRoute(const Ipv4Header& header, Ptr<NetDevice> oif) const;
 
     /**
-     * \name Receive control packets
+     * @name Receive control packets
      * @{
      */
     /**
      * Receive and process control packet
-     * \param socket input socket
+     * @param socket input socket
      */
     void RecvAodv(Ptr<Socket> socket);
     /**
      * Receive RREQ
-     * \param p packet
-     * \param receiver receiver address
-     * \param src sender address
+     * @param p packet
+     * @param receiver receiver address
+     * @param src sender address
      */
     void RecvRequest(Ptr<Packet> p, Ipv4Address receiver, Ipv4Address src);
     /**
      * Receive RREP
-     * \param p packet
-     * \param my destination address
-     * \param src sender address
+     * @param p packet
+     * @param my destination address
+     * @param src sender address
      */
     void RecvReply(Ptr<Packet> p, Ipv4Address my, Ipv4Address src);
     /**
      * Receive RREP_ACK
-     * \param neighbor neighbor address
+     * @param neighbor neighbor address
      */
     void RecvReplyAck(Ipv4Address neighbor);
     /**
      * Receive RERR
-     * \param p packet
-     * \param src sender address
+     * @param p packet
+     * @param src sender address
      */
     /// Receive  from node with address src
     void RecvError(Ptr<Packet> p, Ipv4Address src);
     /** @} */
 
     /**
-     * \name Send
+     * @name Send
      * @{
      */
     /** Forward packet from route request queue
-     * \param dst destination address
-     * \param route route to use
+     * @param dst destination address
+     * @param route route to use
      */
     void SendPacketFromQueue(Ipv4Address dst, Ptr<Ipv4Route> route);
     /// Send hello
     void SendHello();
     /** Send RREQ
-     * \param dst destination address
+     * @param dst destination address
      */
     void SendRequest(Ipv4Address dst);
     /** Send RREP
-     * \param rreqHeader route request header
-     * \param toOrigin routing table entry to originator
+     * @param rreqHeader route request header
+     * @param toOrigin routing table entry to originator
      */
     void SendReply(const RreqHeader& rreqHeader, const RoutingTableEntry& toOrigin);
     /** Send RREP by intermediate node
-     * \param toDst routing table entry to destination
-     * \param toOrigin routing table entry to originator
-     * \param gratRep indicates whether a gratuitous RREP should be unicast to destination
+     * @param toDst routing table entry to destination
+     * @param toOrigin routing table entry to originator
+     * @param gratRep indicates whether a gratuitous RREP should be unicast to destination
      */
     void SendReplyByIntermediateNode(RoutingTableEntry& toDst,
                                      RoutingTableEntry& toOrigin,
                                      bool gratRep);
     /** Send RREP_ACK
-     * \param neighbor neighbor address
+     * @param neighbor neighbor address
      */
     void SendReplyAck(Ipv4Address neighbor);
     /** Initiate RERR
-     * \param nextHop next hop address
+     * @param nextHop next hop address
      */
     void SendRerrWhenBreaksLinkToNextHop(Ipv4Address nextHop);
     /** Forward RERR
-     * \param packet packet
-     * \param precursors list of addresses of the visited nodes
+     * @param packet packet
+     * @param precursors list of addresses of the visited nodes
      */
     void SendRerrMessage(Ptr<Packet> packet, std::vector<Ipv4Address> precursors);
     /**
      * Send RERR message when no route to forward input packet. Unicast if there is reverse route to
      * originating node, broadcast otherwise.
-     * \param dst destination node IP address
-     * \param dstSeqNo destination node sequence number
-     * \param origin originating node IP address
+     * @param dst destination node IP address
+     * @param dstSeqNo destination node sequence number
+     * @param origin originating node IP address
      */
     void SendRerrWhenNoRouteToForward(Ipv4Address dst, uint32_t dstSeqNo, Ipv4Address origin);
     /** @} */
 
     /**
      * Send packet to destination socket
-     * \param socket destination node socket
-     * \param packet packet to send
-     * \param destination destination node IP address
+     * @param socket destination node socket
+     * @param packet packet to send
+     * @param destination destination node IP address
      */
     void SendTo(Ptr<Socket> socket, Ptr<Packet> packet, Ipv4Address destination);
 
@@ -477,14 +477,14 @@
     std::map<Ipv4Address, Timer> m_addressReqTimer;
     /**
      * Handle route discovery process
-     * \param dst the destination IP address
+     * @param dst the destination IP address
      */
     void RouteRequestTimerExpire(Ipv4Address dst);
     /**
      * Mark link to neighbor node as unidirectional for blacklistTimeout
      *
-     * \param neighbor the IP address of the neighbor node
-     * \param blacklistTimeout the black list timeout time
+     * @param neighbor the IP address of the neighbor node
+     * @param blacklistTimeout the black list timeout time
      */
     void AckTimerExpire(Ipv4Address neighbor, Time blacklistTimeout);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-rqueue.cc ns-3.44/src/aodv/model/aodv-rqueue.cc
--- ns-3.43/src/aodv/model/aodv-rqueue.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-rqueue.cc	2025-03-09 16:55:49.343371000 -0700
@@ -106,19 +106,19 @@
 }
 
 /**
- * \brief IsExpired structure
+ * @brief IsExpired structure
  */
 struct IsExpired
 {
     /**
      * Check if the entry is expired
      *
-     * \param e QueueEntry entry
-     * \return true if expired, false otherwise
+     * @param e QueueEntry entry
+     * @return true if expired, false otherwise
      */
     bool operator()(const QueueEntry& e) const
     {
-        return (e.GetExpireTime() < Seconds(0));
+        return (e.GetExpireTime().IsStrictlyNegative());
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-rqueue.h ns-3.44/src/aodv/model/aodv-rqueue.h
--- ns-3.43/src/aodv/model/aodv-rqueue.h	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-rqueue.h	2025-03-09 16:55:49.343371000 -0700
@@ -27,8 +27,8 @@
 {
 
 /**
- * \ingroup aodv
- * \brief AODV Queue Entry
+ * @ingroup aodv
+ * @brief AODV Queue Entry
  */
 class QueueEntry
 {
@@ -41,11 +41,11 @@
     /**
      * constructor
      *
-     * \param pa the packet to add to the queue
-     * \param h the Ipv4Header
-     * \param ucb the UnicastForwardCallback function
-     * \param ecb the ErrorCallback function
-     * \param exp the expiration time
+     * @param pa the packet to add to the queue
+     * @param h the Ipv4Header
+     * @param ucb the UnicastForwardCallback function
+     * @param ecb the ErrorCallback function
+     * @param exp the expiration time
      */
     QueueEntry(Ptr<const Packet> pa = nullptr,
                const Ipv4Header& h = Ipv4Header(),
@@ -61,9 +61,9 @@
     }
 
     /**
-     * \brief Compare queue entries
-     * \param o QueueEntry to compare
-     * \return true if equal
+     * @brief Compare queue entries
+     * @param o QueueEntry to compare
+     * @return true if equal
      */
     bool operator==(const QueueEntry& o) const
     {
@@ -75,7 +75,7 @@
     // Fields
     /**
      * Get unicast forward callback
-     * \returns unicast callback
+     * @returns unicast callback
      */
     UnicastForwardCallback GetUnicastForwardCallback() const
     {
@@ -84,7 +84,7 @@
 
     /**
      * Set unicast forward callback
-     * \param ucb The unicast callback
+     * @param ucb The unicast callback
      */
     void SetUnicastForwardCallback(UnicastForwardCallback ucb)
     {
@@ -93,7 +93,7 @@
 
     /**
      * Get error callback
-     * \returns the error callback
+     * @returns the error callback
      */
     ErrorCallback GetErrorCallback() const
     {
@@ -102,7 +102,7 @@
 
     /**
      * Set error callback
-     * \param ecb The error callback
+     * @param ecb The error callback
      */
     void SetErrorCallback(ErrorCallback ecb)
     {
@@ -111,7 +111,7 @@
 
     /**
      * Get packet from entry
-     * \returns the packet
+     * @returns the packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -120,7 +120,7 @@
 
     /**
      * Set packet in entry
-     * \param p The packet
+     * @param p The packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -129,7 +129,7 @@
 
     /**
      * Get IPv4 header
-     * \returns the IPv4 header
+     * @returns the IPv4 header
      */
     Ipv4Header GetIpv4Header() const
     {
@@ -138,7 +138,7 @@
 
     /**
      * Set IPv4 header
-     * \param h the IPv4 header
+     * @param h the IPv4 header
      */
     void SetIpv4Header(Ipv4Header h)
     {
@@ -147,7 +147,7 @@
 
     /**
      * Set expire time
-     * \param exp The expiration time
+     * @param exp The expiration time
      */
     void SetExpireTime(Time exp)
     {
@@ -156,7 +156,7 @@
 
     /**
      * Get expire time
-     * \returns the expiration time
+     * @returns the expiration time
      */
     Time GetExpireTime() const
     {
@@ -177,8 +177,8 @@
 };
 
 /**
- * \ingroup aodv
- * \brief AODV route request queue
+ * @ingroup aodv
+ * @brief AODV route request queue
  *
  * Since AODV is an on demand routing we queue requests while looking for route.
  */
@@ -188,8 +188,8 @@
     /**
      * constructor
      *
-     * \param maxLen the maximum length
-     * \param routeToQueueTimeout the route to queue timeout
+     * @param maxLen the maximum length
+     * @param routeToQueueTimeout the route to queue timeout
      */
     RequestQueue(uint32_t maxLen, Time routeToQueueTimeout)
         : m_maxLen(maxLen),
@@ -200,39 +200,39 @@
     /**
      * Push entry in queue, if there is no entry with the same packet and destination address in
      * queue.
-     * \param entry the queue entry
-     * \returns true if the entry is queued
+     * @param entry the queue entry
+     * @returns true if the entry is queued
      */
     bool Enqueue(QueueEntry& entry);
     /**
      * Return first found (the earliest) entry for given destination
      *
-     * \param dst the destination IP address
-     * \param entry the queue entry
-     * \returns true if the entry is dequeued
+     * @param dst the destination IP address
+     * @param entry the queue entry
+     * @returns true if the entry is dequeued
      */
     bool Dequeue(Ipv4Address dst, QueueEntry& entry);
     /**
      * Remove all packets with destination IP address dst
-     * \param dst the destination IP address
+     * @param dst the destination IP address
      */
     void DropPacketWithDst(Ipv4Address dst);
     /**
      * Finds whether a packet with destination dst exists in the queue
      *
-     * \param dst the destination IP address
-     * \returns true if an entry with the IP address is found
+     * @param dst the destination IP address
+     * @returns true if an entry with the IP address is found
      */
     bool Find(Ipv4Address dst);
     /**
-     * \returns the number of entries
+     * @returns the number of entries
      */
     uint32_t GetSize();
 
     // Fields
     /**
      * Get maximum queue length
-     * \returns the maximum queue length
+     * @returns the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -241,7 +241,7 @@
 
     /**
      * Set maximum queue length
-     * \param len The maximum queue length
+     * @param len The maximum queue length
      */
     void SetMaxQueueLen(uint32_t len)
     {
@@ -250,7 +250,7 @@
 
     /**
      * Get queue timeout
-     * \returns the queue timeout
+     * @returns the queue timeout
      */
     Time GetQueueTimeout() const
     {
@@ -259,7 +259,7 @@
 
     /**
      * Set queue timeout
-     * \param t The queue timeout
+     * @param t The queue timeout
      */
     void SetQueueTimeout(Time t)
     {
@@ -273,8 +273,8 @@
     void Purge();
     /**
      * Notify that packet is dropped from queue by timeout
-     * \param en the queue entry to drop
-     * \param reason the reason to drop the entry
+     * @param en the queue entry to drop
+     * @param reason the reason to drop the entry
      */
     void Drop(QueueEntry en, std::string reason);
     /// The maximum number of packets that we allow a routing protocol to buffer.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-rtable.cc ns-3.44/src/aodv/model/aodv-rtable.cc
--- ns-3.43/src/aodv/model/aodv-rtable.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-rtable.cc	2025-03-09 16:55:49.343371000 -0700
@@ -383,7 +383,7 @@
     }
     for (auto i = m_ipv4AddressEntry.begin(); i != m_ipv4AddressEntry.end();)
     {
-        if (i->second.GetLifeTime() < Seconds(0))
+        if (i->second.GetLifeTime().IsStrictlyNegative())
         {
             if (i->second.GetFlag() == INVALID)
             {
@@ -419,7 +419,7 @@
     }
     for (auto i = table.begin(); i != table.end();)
     {
-        if (i->second.GetLifeTime() < Seconds(0))
+        if (i->second.GetLifeTime().IsStrictlyNegative())
         {
             if (i->second.GetFlag() == INVALID)
             {
